## junit.framework
Class AssertionFailedError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.AssertionError
                  junit.framework.AssertionFailedError

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ComparisonFailure

    public class AssertionFailedError

extends AssertionError

Thrown when an assertion failed.

See Also:
  Serialized Form

Constructor Summary
`AssertionFailedError()` Constructs a new AssertionFailedError without a detail message.
`AssertionFailedError(String message)` Constructs a new AssertionFailedError with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertionFailedError

    public AssertionFailedError()

  Constructs a new AssertionFailedError without a detail message.

### AssertionFailedError

    public AssertionFailedError(String message)

  Constructs a new AssertionFailedError with the specified detail message. A null message is replaced by an empty String.

  Parameters:
    `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

Copyright © 2002–2020 JUnit. All rights reserved.